# Return Analog statistics for all domains

This function displays the Analog statistics for the domains on a cPanel account.

Endpoint: GET /Stats/list_sites
Version: 11.136.0.22
Security: BasicAuth

## Query parameters:

  - `engine` (string, required)
    The statistics engine.
* webalizer
* analog
    Enum: "webalizer", "analog"

  - `traffic` (string)
    The web traffic type.
 * http
 * ftp
    Enum: "http", "ftp"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_sites"

  - `module` (string)
    The name of the module called.
    Example: "Stats"

  - `result` (object)

  - `result.data` (array)

  - `result.data.all_domains` (integer)
    Whether the statistics file's filepath is for all the domains on a cPanel account.
* 1 - All domains.
* 0 - An individual domain.
    Enum: 0, 1

  - `result.data.domain` (string)
    The domain for which to display statistics.
    Example: "example.com"

  - `result.data.path` (string)
    The filepath to the statistics file.
    Example: "/tmp/user/webalizer/index.html"

  - `result.data.ssl` (integer)
    Whether the function generates statistics from SSL requests.
* 1 - Generates statistics for SSL requests.
* 0 - Generates statistics for non-SSL requests.
    Enum: 0, 1

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


